stages:
    - tests
    - build
before_script:
    - chmod +x mvnw
build:
    stage:
        build
    image:
        openjdk:8-jdk-slim
    script:
        - ./mvnw -B install -DskipTests
unit tests:
    stage:
        tests
    image:
        openjdk:8-jdk-slim
    script:
        - ./mvnw -B test
e2e tests:
    stage:
        tests
    image:
        openjdk:8-jdk-slim
    script:
        - ./mvnw -B test -Dtests.tags="e2e"